post
https://global-api-sandbox.afterpay.com/v2/payments//void
This endpoint voids the remaining openToCapture amount of the payment auth, and refunds the consumer.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Note
This operation is idempotent based on the
requestIdguaranteeing the payment operation is only performed once.
Successful Response (201)
If successful, returns an updated copy of the Payment object.
- A new Payment Event object will be appended to the
eventsarray, with atypeof "VOIDED". - A new Refund object will be prepended to the
refundsarray. - If the
openToCaptureamount is reduced to zero as a result of this Void request, thepaymentStatewill be updated as follows:- from "AUTH_APPROVED" to "VOIDED", or
- from "PARTIALLY_CAPTURED" to "CAPTURED".
Connection Timeouts
| Timeout | Time (Seconds) |
|---|---|
| Open | 10 |
| Read | 70 |
Errors
In addition to the PUT/POST Errors applicable to all POST endpoints, the following errors are specific to Void:
| HTTP Status Code | errorCode | Description |
|---|---|---|
| 404 Not Found | not_found | The orderId string provided was empty or did not match a valid order. |
| 410 Gone | payment_captured | Payment has already been fully captured for this order. |
